using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RDH.Data.BLL
{
    /// <summary>
    /// 表示表连接信息的类
    /// </summary>
    public class TableJoinInfo
    {
        public TableJoinTypes JoinType { get; set; }
        public BaseBLL LeftDal { get; set; }
        public BaseBLL RightDal { get; set; }
        public String LeftTableAliasName { get; set; }
        public String RightTableAliasName { get; set; }
        public String LeftColumnName { get; set; }
        public String RightColumnName { get; set; }
        public String CustomJoinCondition { get; set; }
        internal String CurrentSpiltor { get; set; }
        public Boolean DonotMapFlag { get; set; }
        public Dictionary<String, String> CustomPropertiesMap { get; private set; }
        public void AppendCustomPropertyMap(String property, String declaration)
        {
            if (CustomPropertiesMap == null)
            {
                CustomPropertiesMap = new Dictionary<string, string>();
                CustomPropertiesMap.Add(property, declaration);
            }
            else
            {
                if (!CustomPropertiesMap.ContainsKey(property))
                {
                    CustomPropertiesMap.Add(property, declaration);
                }
            }
        }
    }
}
